Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.kernel.exps
Class AbstractVal

    java.lang.Object
      org.apache.openjpa.jdbc.kernel.exps.AbstractVal

All Implemented Interfaces:
  Serializable, Val, Value

Direct Known Subclasses:
  Aggregate, Args, CoalesceExpression, Concat, Const, Extension, GeneralCaseExpression, GetMapValue, GetObjectId, IndexOf, MapEntry, MapKey, Math, NullIfExpression, SimpleCaseExpression, StringFunction, SubQ, Substring, Trim, UnaryOp, Variable

    abstract class AbstractVal

extends Object
implements Val

Abstract value for easy extension.

Author:
  Marc Prud'hommeaux

Field Summary
`protected static String` | `FALSE`
`protected static String` | `TRUE`

Fields inherited from interface org.apache.openjpa.jdbc.kernel.exps.Val
`ABS_VAL, ARGS_VAL, CMP_EQUAL, COALESCE_VAL, CONCAT_VAL, FORCE_OUTER, GENERALCASE_VAL, INDEXOF_VAL, JOIN_REL, LENGTH_VAL, LOCATE_VAL, LOWER_VAL, MATH_VAL, NULL_CMP, NULLIF_VAL, SIMPLECASE_VAL, SQRT_VAL, SUBSTRING_VAL, TRIM_VAL, UPPER_VAL, VAL, WHENCONDITION_VAL, WHENSCALAR_VAL`

Constructor Summary
`AbstractVal()`

Method Summary
`void` | `acceptVisit(ExpressionVisitor visitor)` Accept a visit from a tree visitor.
`void` | `appendIndex(Select sel, ExpContext ctx, ExpState state, SQLBuffer sql)` Append the SQL checking the index of this value.
`void` | `appendIsEmpty(Select sel, ExpContext ctx, ExpState state, SQLBuffer sql)` Append the SQL testing whether this value is empty to the given buffer.
`void` | `appendIsNotEmpty(Select sel, ExpContext ctx, ExpState state, SQLBuffer sql)` Append the SQL testing whether this value is not empty to the given buffer.
`void` | `appendIsNotNull(Select sel, ExpContext ctx, ExpState state, SQLBuffer sql)` Append the SQL testing whether this value is not null to the given buffer.
`void` | `appendIsNull(Select sel, ExpContext ctx, ExpState state, SQLBuffer sql)` Append the SQL testing whether this value is null to the given buffer.
`void` | `appendSize(Select sel, ExpContext ctx, ExpState state, SQLBuffer sql)` Append the SQL checking the size of this value.
`void` | `appendType(Select sel, ExpContext ctx, ExpState state, SQLBuffer sql)` Append the SQL checking the type of this value.
`String` | `getAlias()` Return select item alias
`int` | `getId()`
`String` | `getName()`
`Path` | `getPath()`
`Value` | `getSelectAs()` Return 'this' concrete class if alias is set, otherwise null
`boolean` | `isAggregate()` Return true if this value is an aggregate.
`boolean` | `isVariable()` Return true if this value is a variable.
`boolean` | `isXPath()` Return true if this value is an XML Path.
`void` | `setAlias(String alias)` Set select item alias
`Object` | `toDataStoreValue(Select sel, ExpContext ctx, ExpState state, Object val)` Return the datastore value of the given object in the context of this value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.openjpa.jdbc.kernel.exps.Val
`appendTo, calculateValue, groupBy, initialize, length, load, orderBy, select, selectColumns`

Methods inherited from interface org.apache.openjpa.kernel.exps.Value
`getMetaData, getType, setImplicitType, setMetaData`

Field Detail

### TRUE

    protected static final String TRUE

See Also:
  Constant Field Values

### FALSE

    protected static final String FALSE

See Also:
  Constant Field Values

Constructor Detail

### AbstractVal

    AbstractVal()

Method Detail

### isVariable

    public boolean isVariable()

  Description copied from interface: `Value`
  Return true if this value is a variable.

  Specified by:
    `isVariable` in interface `Value`

### isAggregate

    public boolean isAggregate()

  Description copied from interface: `Value`
  Return true if this value is an aggregate.

  Specified by:
    `isAggregate` in interface `Value`

### isXPath

    public boolean isXPath()

  Description copied from interface: `Value`
  Return true if this value is an XML Path.

  Specified by:
    `isXPath` in interface `Value`

### toDataStoreValue

    public Object toDataStoreValue(Select sel,
                                   ExpContext ctx,
                                   ExpState state,
                                   Object val)

  Description copied from interface: `Val`
  Return the datastore value of the given object in the context of this value.

  Specified by:
    `toDataStoreValue` in interface `Val`

### appendIsEmpty

    public void appendIsEmpty(Select sel,
                              ExpContext ctx,
                              ExpState state,
                              SQLBuffer sql)

  Description copied from interface: `Val`
  Append the SQL testing whether this value is empty to the given buffer.

  Specified by:
    `appendIsEmpty` in interface `Val`

### appendIsNotEmpty

    public void appendIsNotEmpty(Select sel,
                                 ExpContext ctx,
                                 ExpState state,
                                 SQLBuffer sql)

  Description copied from interface: `Val`
  Append the SQL testing whether this value is not empty to the given buffer.

  Specified by:
    `appendIsNotEmpty` in interface `Val`

### appendIsNull

    public void appendIsNull(Select sel,
                             ExpContext ctx,
                             ExpState state,
                             SQLBuffer sql)

  Description copied from interface: `Val`
  Append the SQL testing whether this value is null to the given buffer.

  Specified by:
    `appendIsNull` in interface `Val`

### appendIsNotNull

    public void appendIsNotNull(Select sel,
                                ExpContext ctx,
                                ExpState state,
                                SQLBuffer sql)

  Description copied from interface: `Val`
  Append the SQL testing whether this value is not null to the given buffer.

  Specified by:
    `appendIsNotNull` in interface `Val`

### appendIndex

    public void appendIndex(Select sel,
                            ExpContext ctx,
                            ExpState state,
                            SQLBuffer sql)

  Description copied from interface: `Val`
  Append the SQL checking the index of this value.

  Specified by:
    `appendIndex` in interface `Val`

### appendType

    public void appendType(Select sel,
                           ExpContext ctx,
                           ExpState state,
                           SQLBuffer sql)

  Description copied from interface: `Val`
  Append the SQL checking the type of this value.

  Specified by:
    `appendType` in interface `Val`

### appendSize

    public void appendSize(Select sel,
                           ExpContext ctx,
                           ExpState state,
                           SQLBuffer sql)

  Description copied from interface: `Val`
  Append the SQL checking the size of this value.

  Specified by:
    `appendSize` in interface `Val`

### acceptVisit

    public void acceptVisit(ExpressionVisitor visitor)

  Description copied from interface: `Value`
  Accept a visit from a tree visitor.

  Specified by:
    `acceptVisit` in interface `Value`

### getId

    public int getId()

  Specified by:
    `getId` in interface `Val`

### getAlias

    public String getAlias()

  Description copied from interface: `Value`
  Return select item alias

  Specified by:
    `getAlias` in interface `Value`

### setAlias

    public void setAlias(String alias)

  Description copied from interface: `Value`
  Set select item alias

  Specified by:
    `setAlias` in interface `Value`

### getSelectAs

    public Value getSelectAs()

  Description copied from interface: `Value`
  Return 'this' concrete class if alias is set, otherwise null

  Specified by:
    `getSelectAs` in interface `Val`
  Specified by:
    `getSelectAs` in interface `Value`

### getPath

    public Path getPath()

  Specified by:
    `getPath` in interface `Value`

### getName

    public String getName()

  Specified by:
    `getName` in interface `Value`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.